
QGIS Application - Bug report #2491

Raster transparency doesn't handle alpha channel

2010-03-04 10:21 AM - Borys Jurgiel

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12551

Description

Open a [[GeoTIFF]] with the aplha channel. No transparency occurs. In the layer properities all 4 channels are available for the color

composition, but the 'transparency channel' combobox on the Transparency tab is disabled.

Related issues:

Duplicated by QGIS Application - Bug report # 3348: GDAL TIFF dataset masking... Closed

Associated revisions

Revision b62daee5 - 2011-10-19 01:56 PM - Giuseppe Sucameli

Handle raster layer's transparency band while rendering (fix #2491)

Revision b0112f1c - 2011-10-21 12:36 AM - Tim Sutton

Merge pull request #52 from brushtyler/raster-transparency

[BACKPORT] Handle raster layer's transparency band while rendering (fix #2491)

Revision 84e7626b - 2011-11-13 11:37 AM - Giuseppe Sucameli

Handle raster layer's transparency band while rendering (fix #2491)

History

#1 - 2011-08-11 12:17 AM - Alister Hood

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

- Operating System changed from Debian to All

- Target version deleted (Version 1.7.0)

- Priority changed from Low to Normal

The same problem occurs for grayscale images with an alpha channel, and in Windows.  An example image is attached at #4159.

#2 - 2011-10-04 10:08 PM - Alister Hood

I remember some conjecture on the mailing list that this is simply a new feature which hasn't been implemented yet.
But apparently it was implemented even before the "pixel list" transparency by colour: #288-6

#3 - 2011-10-19 05:37 AM - Giuseppe Sucameli

- Pull Request or Patch supplied changed from No to Yes

Here's the pull request: https://github.com/qgis/Quantum-GIS/pull/52

#4 - 2011-10-27 11:19 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed

Applied in commit:b0112f1c42.
https://github.com/qgis/Quantum-GIS/pull/52

